package com.ylx.massage.mapper;

import java.util.List;
import com.ylx.massage.domain.MaProject;

/**
 * 服务项目Mapper接口
 *
 * @author ylx
 * @date 2024-03-20
 */
public interface MaProjectMapper
{
    /**
     * 查询服务项目
     *
     * @param id 服务项目主键
     * @return 服务项目
     */
    public MaProject selectMaProjectById(Long id);

    /**
     * 查询服务项目列表
     *
     * @param maProject 服务项目
     * @return 服务项目集合
     */
    public List<MaProject> selectMaProjectList(MaProject maProject);

    /**
     * 新增服务项目
     *
     * @param maProject 服务项目
     * @return 结果
     */
    public int insertMaProject(MaProject maProject);

    /**
     * 修改服务项目
     *
     * @param maProject 服务项目
     * @return 结果
     */
    public int updateMaProject(MaProject maProject);

    /**
     * 删除服务项目
     *
     * @param id 服务项目主键
     * @return 结果
     */
    public int deleteMaProjectById(Long id);

    /**
     * 批量删除服务项目
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMaProjectByIds(String[] ids);
}
